# $Revision: 1.25 $, $Date: 2005/03/11 08:56:25 $

Summary:	Command-line Jabber client
Summary(pl):	Tekstowy klient Jabbera
Name:		imcom
Version:	1.33
Release:	4
License:	BSD
Group:		Applications/Communications
Source0:	http://nafai.dyndns.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	37258996233ba8a3a3bdcbab179adf70
Patch0:		%{name}-ac_python_import_check.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-presence.patch
URL:		http://imcom.floobin.cx/
BuildRequires:	autoconf
BuildRequires:	rpm-pythonprov >= 4.2-0.20030322.3
%pyrequires_eq	python-modules
Requires:	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IMCom is a command-line Jabber client.

%description -l pl
Tekstowy klient Jabbera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/docs
rm -f docs/CHANGELOG docs/imcom.1

%{py_comp} $RPM_BUILD_ROOT%{_datadir}/%{name}
%{py_ocomp} $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS README* LICENSE TODO WHATSNEW docs
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/modules
%{_datadir}/%{name}/*.py[co]
%{_datadir}/%{name}/modules/*.py[co]
%attr(755,root,root) %{_datadir}/%{name}/CLI.py
%attr(755,root,root) %{_datadir}/%{name}/AccountCreator.py
%{_mandir}/man1/%{name}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: imcom.spec,v $
Revision 1.25  2005/03/11 08:56:25  djrzulf
- added presence patch, rel 4, STBR AC-READY,

Revision 1.24  2005/02/21 23:59:42  djrzulf
- missed requires,
- rel 3,
- STBR AC-READY,

Revision 1.23  2005/01/11 09:02:04  djrzulf
- works fine, STBR for AC-READY,

Revision 1.22  2005/01/10 18:03:54  ciesiel
- prepare rel. for rebuild with python 2.4

Revision 1.21  2004/10/20 21:33:36  jack
- corrected BR rpm-pythonprov >= 4.2-0.20030322.3

Revision 1.20  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.19  2004/05/03 13:49:34  wrobell
- BA: noarch

Revision 1.18  2004/05/03 13:48:18  wrobell
- ver. 1.33

Revision 1.17  2003/10/16 10:35:44  wrobell
- ver. 1.32

Revision 1.16  2003/07/10 20:58:47  freetz
- fixed release
- added missing BR
- cleanups

Revision 1.15  2003/07/10 17:49:31  agaran
update to 1.31 stable

Revision 1.14  2003/07/08 22:29:53  agaran
small patch, already send to author, but now is needed

Revision 1.13  2003/07/07 15:50:56  freetz
- up to 1.30beta10
- bogus CHANGELOG removed
- typos

Revision 1.12  2003/06/22 12:47:34  freetz
- upgraded to beta9
- new DESTDIR patch

Revision 1.11  2003/05/28 12:59:08  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:48:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/22 20:11:47  jajcus
- Version: 1.30beta8

Revision 1.8  2002/09/30 13:44:30  ankry
- fixed src url

Revision 1.7  2002/09/30 13:35:14  wrobell
- adapterized

Revision 1.6  2002/09/30 13:34:44  wrobell
- ver. 0.9.5

Revision 1.5  2002/04/25 16:36:18  arturs
fixed a small typo

Revision 1.4  2002/02/23 02:59:06  kloczek
- adapterized.

Revision 1.3  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/12/22 12:08:13  jajcus
- initial spec

